#include "SmartObject.h"
#include <tracy/Tracy.hpp>
namespace ECS
{
SmartObjectModule::SmartObjectModule(flecs::world &ecs)
{
    ZoneScoped;
	ecs.module<SmartObjectModule>();
	ecs.component<SmartObjectManager>().add(flecs::Singleton);
	ecs.component<SmartObject>();
}
}
